﻿@model IEnumerable<FirstMVCAppMy.UI.Models.Categories.CategoryModel>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Index</h1>

<p>
    <a asp-controller="Category" asp-action="CreateCategory">Create New Category</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Description)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                <a asp-controller="Category" asp-action="ProductsCategory" asp-route-id="@item.Id">
                     @Html.DisplayFor(modelItem => item.Name)
                </a>
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>
            <td>
                <a asp-controller="Category" asp-action="EditCategory" asp-route-id="@item.Id">Edit</a>
            </td>
        </tr>
}
    </tbody>
</table>
